package com.ssj.service.conch.teacher.request.teacherorg;

import io.swagger.annotations.ApiModelProperty;

import javax.validation.constraints.NotNull;
import java.io.Serializable;

/**
 * @author yanghuan
 * @title: TeacherInfoList
 * @projectName ssj
 * @description: TODO
 * @date 2019/9/10 11:09
 */
public class TeacherInfoList implements Serializable {

    private final static long serialVersionUID = 1L;

    @NotNull(message = "当前页数不能为空")
    @ApiModelProperty(name = "pageNo", value = "当前页数", required = true)
    private int pageNo;

    @NotNull(message = "每页条数不能为空")
    @ApiModelProperty(name = "pageSize", value = "每页条数", required = true)
    private int pageSize;


    @ApiModelProperty(name = "maxCreateTime", value = "最大时间", required = true)
    private String maxCreateTime;

    @ApiModelProperty(name = "name",value = "姓名",required = true)
    private String name;

    public int getPageNo() {
        return pageNo;
    }

    public void setPageNo(int pageNo) {
        this.pageNo = pageNo;
    }

    public int getPageSize() {
        return pageSize;
    }

    public void setPageSize(int pageSize) {
        this.pageSize = pageSize;
    }

    public String getMaxCreateTime() {
        return maxCreateTime;
    }

    public void setMaxCreateTime(String maxCreateTime) {
        this.maxCreateTime = maxCreateTime;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }
}
